///////////////////////////////////////////
//																       //
//  Definition of the Access Class       //
//																       //
//					Chungho Chau					       //
//																       //
///////////////////////////////////////////

#ifndef ACCESS_CLASS  
#define ACCESS_CLASS


#include <iostream.h>
#include "Resident.h"

class Access: public Resident{
	public:
				Access(const char *name, const char *city)
					: Resident(name, city) {}

				~Access() {}

				void Display_All_Info(void) const;

	private:
				
				Access (const Access &other);				
				Access &operator= (const Access &);				
				BOOL operator== (Access &other);

};
#endif