///////////////////////////////////////////
//																       //
//  Definition of the Employee Class     //
//																       //
//					Chungho Chau					       //
//																       //
///////////////////////////////////////////

#ifndef EMPLOYEE_CLASS  
#define EMPLOYEE_CLASS

#include "Resident.h"

class Employee: public Resident{
	public:
				Employee(const char *name, const char *city, double wage)
					: Resident(name,city), m_wage(wage) {}

				~Employee() {}

				void Display_All_Info(void) const;

				virtual void Display(void) const;


	private:
				double m_wage;

				Employee (const Employee &other);				
				Employee &operator= (const Employee &);				
				BOOL operator== (Employee &other);

};


#endif