///////////////////////////////////////////
//																       //
//  Definition of the Student Class      //
//																       //
//					Chungho Chau					       //
//																       //
///////////////////////////////////////////

#ifndef STUDENT_CLASS  
#define STUDENT_CLASS

#include "Resident.h"

class Student: public Resident{
	public:
				Student(const char *name, const char *city, int id, int number)
					: Resident(name, city), m_id(id), m_number_class(number) {}
				~Student() {}

				void Display_All_Info(void) const;

				virtual void Display(void) const;


	private:
				int m_id;							// student ID
				int m_number_class;		// number of classes enrolled

				Student (const Student &other);				
				Student &operator= (const Student &);				
				BOOL operator== (Student &other);

};

#endif