///////////////////////////////////////
//																	 //
//     Homework Assignment # 7b			 //
//																   //
//          Test driver              //
//																   //
//					Chungho Chau					   //
//																   //
///////////////////////////////////////

#include "Fraction.h"
#include <iostream.h>


void main()
{
	// create an object
	Fraction a(5, 7);

	// test operator<<
	cout << "object a = " << a;
	cout << " using globle ostream op<< " << endl;

	// test Display member function
	cout << "object a = ";
	a.Display(FALSE);
	cout << "   using Fraction::Display()" << endl;

	// test operator+
	Fraction b(2, 5);
	cout << "\nobject b   = " << b;
	cout << "\nobject a+b = ";
	cout << a + b;  // involves op+, op+=, op<<
	cout << endl;
	cout << "object a+4 = " << a + 4 << endl;
	cout << "object 4+a = " << 4 + a << endl;

	// test on assignment operator=
	Fraction c;
	cout << "\nobject c   = " << c << endl;
	c = c;
	cout << "object c after manipulation c=c is " << c << endl;
	c = b;
	cout << "object c after manipulation c=b is " << c << endl;
	c = 5;
  cout << "object c after manipulation c=5 is " << c << endl;

	// test on op-=
	Fraction d(5,6), e(6,7);
	cout << "\nobject d   = " << d << endl;
	d -= b;
	cout << "object d after manipulation d-=b is " << d << endl;
	cout << "object e   = " << e << endl;
	e -= 5;
  cout << "object e after manipulation e-=5 is " << e << endl;

	// test operator-
	Fraction f(7, 8);
	cout << "\nobject f   = " << f;
	cout << "\nobject f-b = " << f - b << endl;
	cout << "object f-4 = " << f - 4 << endl;
	cout << "object 4-f = " << 4 - f << endl;

	// test operator*
	Fraction g(8, 9);
	cout << "\nobject g   = " << g;
	cout << "\nobject g*b = " << g * b << endl;
	cout << "object g*4 = " << g * 4 << endl;
	cout << "object 4*g = " << 4 * g << endl;

	// test operator/
	Fraction h(9, 8);
	cout << "\nobject h   = " << h;
	cout << "\nobject h/b = " << h / b << endl;
	cout << "object h/4 = " << h / 4 << endl;
	cout << "object 4/h = " << 4 / h << endl;

	// test operator+ for j = +i
	Fraction i(8,7), j;
	cout << "\nobject i   = " << i;
	cout << "\nobject j   = " << j;
	j = +i;
	cout << "\nobject j after manipulation j=+i is " << j << endl;

	// test operator+ for l = -k
	Fraction k(7,6), l;
	cout << "\nobject k   = " << k;
	cout << "\nobject l   = " << l;
	l = -k;
	cout << "\nobject j after manipulation l=-k is " << l << endl;


	// test operator++ for ++m
	Fraction m(8,6);
	cout << "\nobject m   = " << m;
	cout << "\nobject j after manipulation ++m is " << ++m << endl;

	// test operator++ for --m
	cout << "\nobject m   = " << m;
	cout << "\nobject j after manipulation --m is " << --m << endl;

	// stress testing
	Fraction t(3,3);
	cout << "\nobject t   = " << t;
	cout << "\nobject m   = " << m;
	cout << "\nobject k   = " << k;
	t += m * k;
	cout << "\nobject t after manipulation t+=m*k is " << t << endl;

	cout << endl;	
}