//////////////////////////////////////////////////
//																              //
//  Definition of the EmployeeStudent Class     //
//																              //
//					Chungho Chau					              //
//																              //
//////////////////////////////////////////////////

#ifndef EMPLOYEESTUDENT_CLASS  
#define EMPLOYEESTUDENT_CLASS

#include "Employee.h"
#include "Student.h"
#include "Access.h"




class EmployeeStudent: public Access, public Employee, public Student{
	public:
				EmployeeStudent(const char *name, const char *city, int id, int number, double wage)
					: Access(name,city), Employee(name,city,wage), Student("","",id,number) {}
				~EmployeeStudent() {}

				void Display_All_Info(void) const;

	private:
				EmployeeStudent (const EmployeeStudent &other);				
				EmployeeStudent &operator= (const EmployeeStudent &);				
				BOOL operator== (EmployeeStudent &other);	
};

#endif