/////////////////////////////////////////////
//																				 //
//  Definiton of the Number Resident Class //
//																         //
//					Chungho Chau					         //
//																         //
/////////////////////////////////////////////

#ifndef RESIDENT_CLASS  
#define RESIDENT_CLASS

#include "VString.h"
#include <iostream.h>

class Resident {
	public:
				Resident(const char *name, const char *city)
					: m_name(name), m_city(city) {}
				
				virtual ~Resident()=0 {}

				virtual void Display_All_Info(void) const;

				void Display_Name(void) { m_name.Display();}

				void Display_City(void) { m_city.Display();}


	private:
				VString m_name;
				VString m_city;

				Resident (const Resident &other);				
				Resident &operator= (const Resident &);				
				BOOL operator== (Resident &other);

};






#endif